Bug 24676 - opac-auth.tt contains trivial HTML error
Summary: opac-auth.tt contains trivial HTML error
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: David Cook
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-18 00:56 UTC by David Cook
Modified: 2020-03-24 15:25 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.04, 19.05.09


Attachments
Bug 24676: Remove <p/> typo in opac-auth.tt (1.42 KB, patch)
2020-02-18 01:01 UTC, David Cook
Details | Diff | Splinter Review
Bug 24676: Remove <p/> typo in opac-auth.tt (1.49 KB, patch)
2020-02-20 16:59 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 24676: Remove <p/> typo in opac-auth.tt (1.55 KB, patch)
2020-02-21 06:58 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2020-02-18 00:56:52 UTC
https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=21311 appears to have introduced a trivial little HTML error.

Chrome seems to cope with it fine but probably better out than in.
Comment 1 David Cook 2020-02-18 01:01:39 UTC
Created attachment 99140 [details] [review]
Bug 24676: Remove <p/> typo in opac-auth.tt

This patch removes some trivial invalid HTML from opac-auth.tt

Test plan:
1. Apply patch
2. As an unauthenticated user, try to place a hold on a search result
e.g. http://localhost:8080/cgi-bin/koha/opac-reserve.pl?biblionumber=29
3. View source or use an inspector to see there is no <p></p> block
between <input type="submit" value="Log in" class="btn"> and
<div id="nologininstructions">
Comment 2 PTFS Europe Sandboxes 2020-02-20 16:59:45 UTC
Created attachment 99326 [details] [review]
Bug 24676: Remove <p/> typo in opac-auth.tt

This patch removes some trivial invalid HTML from opac-auth.tt

Test plan:
1. Apply patch
2. As an unauthenticated user, try to place a hold on a search result
e.g. http://localhost:8080/cgi-bin/koha/opac-reserve.pl?biblionumber=29
3. View source or use an inspector to see there is no <p></p> block
between <input type="submit" value="Log in" class="btn"> and
<div id="nologininstructions">

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 3 Martin Renvoize 2020-02-21 06:58:17 UTC
Created attachment 99340 [details] [review]
Bug 24676: Remove <p/> typo in opac-auth.tt

This patch removes some trivial invalid HTML from opac-auth.tt

Test plan:
1. Apply patch
2. As an unauthenticated user, try to place a hold on a search result
e.g. http://localhost:8080/cgi-bin/koha/opac-reserve.pl?biblionumber=29
3. View source or use an inspector to see there is no <p></p> block
between <input type="submit" value="Log in" class="btn"> and
<div id="nologininstructions">

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2020-02-21 06:58:37 UTC
Trivial fix passes all tests.. passing qa
Comment 5 Martin Renvoize 2020-02-21 15:45:16 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-03-13 01:21:43 UTC
Pushed to 19.11.x for 19.11.04
Comment 7 Lucas Gass 2020-03-24 15:25:20 UTC
backported to 19.05.x for 19.05.09